Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZEnum Class Reference

The class eZEnum does. More...

## Public Member Functions
| __construct ( $id, $version)
| attributes ()
| hasAttribute ( $attr)
| attribute ( $attr)
| setObjectEnumValue ( $contentObjectAttributeID, $contentObjectAttributeVersion)
| setIsmultipleValue ( $value)
| setIsoptionValue ( $value)
| setValue ( $array_enumid, $array_enumelement, $array_enumvalue, $version)
| setVersion ( $version)
| addEnumeration ( $element)
| addEnumerationValue ( $enumValue)
| removeEnumeration ( $id, $enumid, $version)

## Static Public Member Functions
static | removeObjectEnumerations ( $contentObjectAttributeID, $contentObjectAttributeVersion)
static | storeObjectEnumeration ( $contentObjectAttributeID, $contentObjectAttributeVersion, $enumID, $enumElement, $enumValue)
static | removeOldVersion ( $id, $version)

## Public Attributes
| $Enumerations
| $ObjectEnumerations
| $ClassAttributeID
| $ClassAttributeVersion
| $IsmultipleEnum
| $IsoptionEnum

## Detailed Description

The class eZEnum does.

Definition at line 18 of file ezenum.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZEnum::__construct | ( |  | $id,
|  |  | $version
| ) |  |

Constructor

Parameters

  int | $id |
  int | $version |

Definition at line 26 of file ezenum.php.

References eZEnumValue\fetchAllElements().

## Member Function Documentation

## ◆ addEnumeration()

eZEnum::addEnumeration | ( |  | $element | ) |

Adds an enumeration

Definition at line 174 of file ezenum.php.

References eZEnumValue\create(), and eZEnumValue\fetchAllElements().

## ◆ addEnumerationValue()

eZEnum::addEnumerationValue | ( |  | $enumValue | ) |

Adds the enumeration value object $enumValue to the enumeration list.

Definition at line 184 of file ezenum.php.

## ◆ attribute()

eZEnum::attribute | ( |  | $attr | ) |

Definition at line 51 of file ezenum.php.

References $ClassAttributeID, $ClassAttributeVersion, $Enumerations, $IsmultipleEnum, $IsoptionEnum, $ObjectEnumerations, and eZDebug\writeError().

## ◆ attributes()

eZEnum::attributes | ( |  | ) |

Definition at line 36 of file ezenum.php.

Referenced by hasAttribute().

## ◆ hasAttribute()

eZEnum::hasAttribute | ( |  | $attr | ) |

Definition at line 46 of file ezenum.php.

References attributes().

## ◆ removeEnumeration()

eZEnum::removeEnumeration | ( |  | $id,
|  |  | $enumid,
|  |  | $version
| ) |  |

Definition at line 189 of file ezenum.php.

References eZEnumValue\fetchAllElements(), and eZEnumValue\removeByID().

## ◆ removeObjectEnumerations()

static eZEnum::removeObjectEnumerations | ( |  | $contentObjectAttributeID,
|  |  | $contentObjectAttributeVersion
| ) |  |
| static

Definition at line 91 of file ezenum.php.

References eZEnumObjectValue\removeAllElements().

Referenced by eZEnumType\fetchObjectAttributeHTTPInput().

## ◆ removeOldVersion()

static eZEnum::removeOldVersion | ( |  | $id,
|  |  | $version
| ) |  |
| static

Definition at line 166 of file ezenum.php.

References eZEnumValue\removeAllElements().

## ◆ setIsmultipleValue()

eZEnum::setIsmultipleValue | ( |  | $value | ) |

Definition at line 102 of file ezenum.php.

## ◆ setIsoptionValue()

eZEnum::setIsoptionValue | ( |  | $value | ) |

Definition at line 107 of file ezenum.php.

## ◆ setObjectEnumValue()

eZEnum::setObjectEnumValue | ( |  | $contentObjectAttributeID,
|  |  | $contentObjectAttributeVersion
| ) |  |

Definition at line 87 of file ezenum.php.

References eZEnumObjectValue\fetchAllElements().

## ◆ setValue()

eZEnum::setValue | ( |  | $array_enumid,
|  |  | $array_enumelement,
|  |  | $array_enumvalue,
|  |  | $version
| ) |  |

Definition at line 112 of file ezenum.php.

References eZEnumValue\fetch(), eZEnumValue\fetchAllElements(), and eZDB\instance().

## ◆ setVersion()

eZEnum::setVersion | ( |  | $version | ) |

Definition at line 130 of file ezenum.php.

References eZEnumValue\createCopy(), eZEnumValue\fetchAllElements(), eZDB\instance(), and eZEnumValue\removeAllElements().

## ◆ storeObjectEnumeration()

static eZEnum::storeObjectEnumeration | ( |  | $contentObjectAttributeID,
|  |  | $contentObjectAttributeVersion,
|  |  | $enumID,
|  |  | $enumElement,
|  |  | $enumValue
| ) |  |
| static

Definition at line 96 of file ezenum.php.

References eZEnumObjectValue\create().

Referenced by eZEnumType\fetchObjectAttributeHTTPInput(), and eZEnumType\unserializeContentObjectAttribute().

## Member Data Documentation

## ◆ $ClassAttributeID

eZEnum::$ClassAttributeID

Definition at line 197 of file ezenum.php.

Referenced by attribute().

## ◆ $ClassAttributeVersion

eZEnum::$ClassAttributeVersion

Definition at line 198 of file ezenum.php.

Referenced by attribute().

## ◆ $Enumerations

eZEnum::$Enumerations

Definition at line 195 of file ezenum.php.

Referenced by attribute().

## ◆ $IsmultipleEnum

eZEnum::$IsmultipleEnum

Definition at line 199 of file ezenum.php.

Referenced by attribute().

## ◆ $IsoptionEnum

eZEnum::$IsoptionEnum

Definition at line 200 of file ezenum.php.

Referenced by attribute().

## ◆ $ObjectEnumerations

eZEnum::$ObjectEnumerations

Definition at line 196 of file ezenum.php.

Referenced by attribute().

The documentation for this class was generated from the following file:

- ezenum.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.